/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	//Update main nav bar background color
	wp.customize( 'bg_nav_bar', function( value ) {
		value.bind( function( newval ) {
			$('.primary').css('background-color', newval );
		} );
	} );

	//Update widget background color
	wp.customize( 'bg_color_widgets', function( value ) {
		value.bind( function( newval ) {
			$('.top_widget_one_optionOne').css('background-color', newval );
			$('.top_widget_one_optionTwo').css('background-color', newval );
			$('.top_widget_two_optionTwo').css('background-color', newval );
			$('.top_widget_one_optionThree').css('background-color', newval );
			$('.top_widget_two_optionThree').css('background-color', newval );
			$('.top_widget_three_optionThree ').css('background-color', newval );
			$('.top_widget_one_optionFour').css('background-color', newval );
			$('.top_widget_two_optionFour').css('background-color', newval );
			$('.top_widget_three_optionFour ').css('background-color', newval );
			$('.top_widget_four_optionFour ').css('background-color', newval );
		} );
	} );

	//Update widget font color
	wp.customize( 'font_color_widgets', function( value ) {
		value.bind( function( newval ) {
			$('.top_widget_one_optionOne').css('color', newval );
			$('.top_widget_one_optionTwo').css('color', newval );
			$('.top_widget_two_optionTwo').css('color', newval );
			$('.top_widget_one_optionThree').css('color', newval );
			$('.top_widget_two_optionThree').css('color', newval );
			$('.top_widget_three_optionThree ').css('color', newval );
			$('.top_widget_one_optionFour').css('color', newval );
			$('.top_widget_two_optionFour').css('color', newval );
			$('.top_widget_three_optionFour ').css('color', newval );
			$('.top_widget_four_optionFour ').css('color', newval );
		} );
	} );


	//Update main content background color
	wp.customize( 'bg_color_main', function( value ) {
		value.bind( function( newval ) {
			$('.content-area').css('background-color', newval );
		} );
	} );

	//Update main content font color
	wp.customize( 'font_color_main', function( value ) {
		value.bind( function( newval ) {
			$('.content-area').css('color', newval );
		} );
	} );

	//Update footer background color
	wp.customize( 'bg_color_footer', function( value ) {
		value.bind( function( newval ) {
			$('.site-footer').css('background-color', newval );
		} );
	} );

	//Update footer font color
	wp.customize( 'font_color_footer', function( value ) {
		value.bind( function( newval ) {
			$('.site-footer').css('color', newval );

		} );
	} );

	//Top Area Widgets Width
	wp.customize( 'top_area_widgets_width_settings', function( value ) {
		value.bind( function( newval ) {
			$('.top-widget-area').css('width', newval );
		} );
	} );

	//Content Area Widgets Width
	wp.customize( 'content_area_width_settings', function( value ) {
		value.bind( function( newval ) {
			$('.site-content').css('width', newval );
		} );
	} );



		// Header text color.
		wp.customize( 'header_textcolor', function( value ) {
			value.bind( function( to ) {
				if ( 'blank' === to ) {
					$( '.site-title, .site-description' ).css( {
						'clip': 'rect(1px, 1px, 1px, 1px)',
						'position': 'absolute'
					} );
				} else {
					$( '.site-title, .site-description' ).css( {
						'clip': 'auto',
						'position': 'relative'
					} );
					$( '.site-title a, .site-description' ).css( {
						'color': to
					} );
				}
			} );
	} );

} )( jQuery );
